Subject: bug#64226: 30.0.50; emacs-lisp-native-compile-and-load permission error

From: Andrea Corallo <[email-masked]>
Date: Wed, 09 Aug 2023 09:22:35 -0400

Andrea Corallo <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: No Wayman <[email-masked]>
>>> Cc: [email-masked], [email-masked]
>>> Date: Sat, 01 Jul 2023 15:14:16 -0400
>>> 
>>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>> > perhaps you could describe how to reproduce starting from "emacs
>>> > -Q" (and loading any packages or features you need for the minimal
>>> > reproduction recipe).  The way you were showing the problem until
>>> > now obviously depends on your local setup, which is impossible to
>>> > reproduce without knowing the details.
>>> 
>>> The instructions I gave here:
>>> 
>>> https://lists.gnu.org/archive/html/bug-gnu-emacs/2023-06/msg01224.html
>>> 
>>> reproduce the error on my end from emacs -Q with a minimal file.
>>> To be crystal clear:
>>> 
>>> 1. Save the following file to $HOME/test.el (or any path where the 
>>> user has write permissions):
>>> 
>>> --8<---------------cut here---------------start------------->8---
>>> ;; -*- lexical-binding: t; -*-
>>> (defun +test () (message "PASS"))
>>> --8<---------------cut here---------------end--------------->8---
>>> 
>>> 2. emacs -Q $HOME/test.el
>>> 3. M-x emacs-lisp-native-compile-compile-and-load
>>> 4. Error is printed to message buffer.
>>
>> Thanks.  I think Andrea couldn't reproduce this, but maybe he could
>> try again.  (The error will only happen if the directory
>> usr/lib/emacs/30.0.50/native-lisp is not writable by your user, so
>> ensuring it's not writable should be part of the recipe.)
>
> Just retried and can finally reproduce the error.  Will look at.
>
> Thanks
>
>   Andrea

Okay I pushed b93107c20b2 to fix this.  I tested as best as I could but
tweaking these dynamic variables is always tricky.

No Wayman if you could verify everything works for you would be great.

Thanks

  Andrea